# Class default<TEdgeReduce, TProperties>

#### Type Parameters

- #### TEdgeReduce

- #### TProperties

#### Hierarchy

- default

- Defined in index.ts:15

#####
Index

### Constructors

constructor

### Properties

graph
options

### Methods

_createPhantom
_removePhantom
findPath

## Constructors

### constructor

- new default<TEdgeReduce, TProperties>(network: FeatureCollection<LineString, TProperties>, options?: PathFinderOptions<TEdgeReduce, TProperties>): default<TEdgeReduce, TProperties>

- #### Type Parameters

  - #### TEdgeReduce

  - #### TProperties

  #### Parameters

  - ##### network: FeatureCollection<LineString, TProperties>

  - ##### options: PathFinderOptions<TEdgeReduce, TProperties> = {}

  #### Returns default<TEdgeReduce, TProperties>

  - Defined in index.ts:19

## Properties

### graph

graph: PathFinderGraph<TEdgeReduce>

- Defined in index.ts:16

### options

options: PathFinderOptions<TEdgeReduce, TProperties>

- Defined in index.ts:17

## Methods

### _createPhantom

- _createPhantom(n: string): undefined | string

- #### Parameters

  - ##### n: string

  #### Returns undefined | string

  - Defined in index.ts:109

### _removePhantom

- _removePhantom(n: undefined | string): void

- #### Parameters

  - ##### n: undefined | string

  #### Returns void

  - Defined in index.ts:141

### findPath

- findPath(a: Feature<Point, Properties>, b: Feature<Point, Properties>): undefined | null | {
  edgeDatas: undefined | (undefined | TEdgeReduce)[];
  path: Position[];
  weight: number;
  }

- #### Parameters

  - ##### a: Feature<Point, Properties>

  - ##### b: Feature<Point, Properties>

  #### Returns undefined | null | {
  edgeDatas: undefined | (undefined | TEdgeReduce)[];
  path: Position[];
  weight: number;
  }

  - Defined in index.ts:37

Generated using TypeDoc